### Method

# Gtk FileFilterget_attributes

#### Declaration [src]

    const char**
    gtk_file_filter_get_attributes (
      GtkFileFilter* filter
    )

#### Description [src]

Gets the attributes that need to be filled in for the `GFileInfo` passed to this filter.

This function will not typically be used by applications; it is intended principally for use in the implementation of `GtkFileChooser`.

#### Return value

Type: An array of `utf8`

The attributes.

The array is `NULL`-terminated.
The data is owned by the instance.
Each element is a NUL terminated UTF-8 string.